geos::triangulate::quadedge Namespace Reference

Classes to implement a topological subdivision of quadeges, to support creating triangulations and Voronoi diagrams. More...

## Classes

class | LastFoundQuadEdgeLocator
| Locates `QuadEdge`s in a `QuadEdgeSubdivision`, optimizing the search by starting in the locality of the last edge found. More...
class | QuadEdge
| A class that represents the edge data structure which implements the quadedge algebra. More...
class | QuadEdgeLocator
| An interface for classes which locate an edge in a `QuadEdgeSubdivision` which either contains a given `Vertex` V or is an edge of a triangle which contains V. More...
class | QuadEdgeSubdivision
| A class that contains the QuadEdges representing a planar subdivision that models a triangulation. More...
class | TrianglePredicate
| Algorithms for computing values and predicates associated with triangles. More...
class | TriangleVisitor
| An interface for algorithms which process the triangles in a `QuadEdgeSubdivision`. More...
class | Vertex
| Models a site (node) in a QuadEdgeSubdivision. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const QuadEdge *e)
bool | operator< (const Vertex &v1, const Vertex &v2)

## Detailed Description

Classes to implement a topological subdivision of quadeges, to support creating triangulations and Voronoi diagrams.